### File

`packages/components/eui-snc/eui-snc.component.ts`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-snc`
standalone | `true`
imports | `EuiChipComponent`
styleUrls | `./eui-snc.component.scss`
templateUrl | `./eui-snc.component.html`

### Index

###### Properties
dotsLength showContent sncToggle
###### Methods
toggleContent
###### Outputs
sncToggle

### Outputs

sncToggle
Type : `OutputEmitterRef<boolean>`
Output event emitter that emits the current visibility state of the content section.

### Methods

toggleContent
`toggleContent()`
Returns : `void`

### Properties

dotsLength
Default value : `input(8, { transform: (value: number) => Math.max(0, value) })`
Input to set the length of the dots indicator.

showContent
Type : `WritableSignal<boolean>`
Default value : `signal(false)`
Signal to control the visibility of the content section.

sncToggle
Type : `OutputEmitterRef<boolean>`
Output event emitter that emits the current visibility state of the content section.

# results matching ""

# No results matching ""